Name:           python-requests-hawk
Version:        1.2.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Hawk authentication strategy for the requests python library

# No license information obtained, it's up to the packager to fill it in
License:        Apache-2.0
URL:            https://github.com/mozilla-services/requests-hawk
Source:         %{pypi_source requests-hawk}

BuildArch:      noarch
# BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
# BuildRequires:  python3dist(mohawk)
# BuildRequires:  python3dist(pynose)

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This project allows you to use the python requests library with the hawk authentication mechanism.

Hawk itself does not provide any mechanism for obtaining or transmitting the set of shared credentials required, but this project proposes a scheme we use across mozilla services projects.}

%description %_description

%package -n     python3-requests-hawk
Summary:        %{summary}

%description -n python3-requests-hawk %_description


%prep
%autosetup -p1 -n requests-hawk-%{version}
sed -i "s/self.assertEquals/self.assertEqual/g" requests_hawk/tests/test_hawkauth.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l requests_hawk


%check
%pytest requests_hawk/tests
# %%pyproject_check_import


%files -n python3-requests-hawk -f %{pyproject_files}


%changelog
%autochangelog
